# Docs
Alchemy is an elegant, batteries included web framework for Swift. These guides cover most of its features as well as those of it's two related libraries, Fusion (dependency injection) & Papyrus (API abstraction layer).

## Table of Contents

### The Basics
0. [Getting Started](0_GettingStarted.md)
1. [Architecture](1a_Architecture.md)
2. [Configuration](1b_Configuration.md)
3. [Fusion: Services & Dependency Injection](2_Fusion.md)

### Routing & HTTP
4. [Routing: Basics](3a_RoutingBasics.md)
5. [Routing: Middleware](3b_RoutingMiddleware.md)
6. [Papyrus: Network Interfaces](4_Papyrus.md)

### Database & Rune ORM
7. [Database: Basics](5a_DatabaseBasics.md)
8. [Database: Query Builder](5b_DatabaseQueryBuilder.md)
9. [Database: Migrations](5c_DatabaseMigrations.md)
10. [Rune: Basics](6a_RuneBasics.md)
11. [Rune: Relationships](6b_RuneRelationships.md)

### Advanced
12. [Security](7_Security.md)
13. [Digging Deeper](8_DiggingDeeper.md)
14. [Deploying](9_Deploying.md)


